﻿using Avalonia.Controls;
using CalcAvalonia.Views;
using ReactiveUI;

namespace CalcAvalonia.ViewModels
{
    public class MainWindowViewModel : ViewModelBase
    {
        UserControl us = new Auth();
        public UserControl US { get => us; set => this.RaiseAndSetIfChanged(ref us, value); }

        public AuthViewModel loginPage = new AuthViewModel();
        public AuthViewModel LP { get => loginPage; set => loginPage = value; }

        public CalkViewModel calculator = new CalkViewModel();
        public CalkViewModel CP { get => calculator; set => calculator = value; }

        public void toCalculator()
        {
            if (LP.LogIn())
            {
                US = new Calk();
            }
        }
    }

}